# studio::Renderer_BBox Class Reference

`#include <renderer_bbox.h>`

Inheritance diagram for studio::Renderer_BBox:

List of all members.

## Public Member Functions

| Renderer_BBox ()
| ~Renderer_BBox ()
const synfig::Rect & | get_bbox ()
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)

## Constructor & Destructor Documentation

Renderer_BBox::Renderer_BBox | ( |  | ) |

Renderer_BBox::~Renderer_BBox | ( |  | ) |

## Member Function Documentation

const synfig::Rect & Renderer_BBox::get_bbox | ( |  | ) |

References studio::WorkArea::get_canvas_view(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

void Renderer_BBox::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References synfigapp::Action::create(), get_bbox(), studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), and studio::WorkAreaRenderer::get_work_area().

The documentation for this class was generated from the following files:

- renderer_bbox.h
- renderer_bbox.cpp